# Interface Signature.TypeArg.Bounded

All Superinterfaces:
  `Signature.TypeArg`

Enclosing interface:
  `Signature.TypeArg`

public static sealed interface Signature.TypeArg.Bounded extends Signature.TypeArg
Models a type argument with an explicit bound type.

See Java Language Specification:
  4.5.1 Type Arguments of Parameterized Types
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Since:
  24

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `Signature.TypeArg.Bounded.WildcardIndicator`
  Models a type argument's wildcard indicator.

  ### Nested classes/interfaces declared in interface Signature.TypeArg

  `Signature.TypeArg.Bounded, Signature.TypeArg.Unbounded`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Signature.RefTypeSig`
  `boundType()`
  Returns the signature of the type bound.
  `Signature.TypeArg.Bounded.WildcardIndicator`
  `wildcardIndicator()`
  Returns the kind of wildcard.

- ## Method Details

  - ### wildcardIndicator

    Signature.TypeArg.Bounded.WildcardIndicator wildcardIndicator()
    Returns the kind of wildcard.
    Returns:
      the kind of wildcard

  - ### boundType

    Signature.RefTypeSig boundType()
    Returns the signature of the type bound.
    Returns:
      the signature of the type bound